Bug 505342 - firstboot config doesn't persist NTP or DNS information
firstboot config doesn't persist NTP or DNS information
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike Burns
Depends On:
Blocks: 505104
  Show dependency treegraph
Reported: 2009-06-11 10:59 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-18 09:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2009-06-11 10:59:38 EDT
The firstboot configuration scripts do not persist NTP or DNS information entered in the network configuration.
Steps to reproduce.

Install RHEV-H, using STATIC networking config, DNS and NTP.

Complete install (local install and reboot)

On reboot log into the node and check /etc/resolv.conf and /etc/ntp.conf
Comment 1 Gunther Schlegel 2011-01-04 12:43:37 EST
This is solved for /etc/ntp.conf as of RHEV-H (or earlier, did not check)

But persisting resolv.conf again and again is causing unnecessary work. 

Any chance to get this fixed?

(Besides, I am aware that using DHCP circumvents the issue. But our DHCP setup is not HA (yet), and therefore I prefer static setups.)

Note You need to log in before you can comment on or make changes to this bug.